<!-- payPassword 填写交易密码 -->
<template>
  <div>
    <van-popup position="bottom" v-model="Show" :close-on-click-overlay="false">
      <div class="tr ">
        <van-icon name="close" :color="m_color" class="mr5 mt5" size="16px" @click="Show=false" />
      </div>
      <div class="subscriptionBox">
        <h3 class="tc"> 请输入交易密码 </h3>
        <van-cell-group class="mt50">
          <van-field type="password" v-model="form.pay_password" placeholder="请输入" />

        </van-cell-group>
        <van-button :disabled="!form.pay_password" @click="sumbit" class="su_btn" type="warning">提交</van-button>
      </div>
    </van-popup>
  </div>
</template>

<script>
export default {
  name: 'payPassword',
  props: ['show','msg'],
  data() {
    return {
      Show: this.show,
      _form: {},
      form: {
        pay_password: '',
      }
    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this._form = this._dep(this.form)
    },
    sumbit(v){
        this.$emit('success',this._dep(this.form))
    }

  },
  watch: {
    show(v) {
      this.Show = v
    },
    Show(v) {
      if (v) {
        this.form = this._dep(this._form)
      }
      this.$emit('update:show', v)
    }
  }
}

</script>
<style lang='scss' scoped>
.subscriptionBox {
  padding: 0.26rem;
  box-sizing: border-box;
  height: 7rem;
  position: relative;
}
</style>